/* Copyright (C) 2013-2016 Vincent Forest (vaplv@free.fr)
 *
 * The RSys library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The RSys library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the RSys library. If not, see <http://www.gnu.org/licenses/>. */

#ifndef FLOAT2_H
#define FLOAT2_H

/* Generate common floatX funcs */
#define FLOATX_DIMENSION__ 2
#include "floatX.h"

static FINLINE float
f2_cross(const float a[2], const float b[2])
{
  ASSERT(a && b);
  return a[0]*b[1] - a[1]*b[0];
}

#endif /* FLOAT2_H */

